diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/core/bindings/modulegen__gcc_ILP32.py ns-3.33/src/core/bindings/modulegen__gcc_ILP32.py
--- ns-3.32/src/core/bindings/modulegen__gcc_ILP32.py	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/core/bindings/modulegen__gcc_ILP32.py	2021-01-09 10:19:22.000000000 -0800
@@ -4910,12 +5108,12 @@
     cls.add_method('GetTypeid', 
                    'std::string', 
                    [], 
-                   is_virtual=True, is_const=True)
+                   is_const=True, is_virtual=True)
     ## callback.h (module 'core'): bool ns3::CallbackImpl<bool, std::basic_string<char>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty>::operator()(std::basic_string<char, std::char_traits<char>, std::allocator<char> > arg0) [member operator]
     cls.add_method('operator()', 
                    'bool', 
                    [param('std::string', 'arg0')], 
-                   is_pure_virtual=True, custom_name='__call__', is_virtual=True)
+                   custom_name='__call__', is_pure_virtual=True, is_virtual=True)
     return
 
 def register_Ns3CallbackImpl__Ns3ObjectBase___star___Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, cls):
@@ -4932,12 +5130,12 @@
     cls.add_method('GetTypeid', 
                    'std::string', 
                    [], 
-                   is_virtual=True, is_const=True)
+                   is_const=True, is_virtual=True)
     ## callback.h (module 'core'): ns3::ObjectBase * ns3::CallbackImpl<ns3::ObjectBase *, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty>::operator()() [member operator]
     cls.add_method('operator()', 
                    'ns3::ObjectBase *', 
                    [], 
-                   is_pure_virtual=True, custom_name='__call__', is_virtual=True)
+                   custom_name='__call__', is_pure_virtual=True, is_virtual=True)
     return
 
 def register_Ns3CallbackImpl__Void_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, cls):
@@ -4954,12 +5152,12 @@
     cls.add_method('GetTypeid', 
                    'std::string', 
                    [], 
-                   is_virtual=True, is_const=True)
+                   is_const=True, is_virtual=True)
     ## callback.h (module 'core'): void ns3::CallbackImpl<void, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty>::operator()() [member operator]
     cls.add_method('operator()', 
                    'void', 
                    [], 
-                   is_pure_virtual=True, custom_name='__call__', is_virtual=True)
+                   custom_name='__call__', is_pure_virtual=True, is_virtual=True)
     return
 
 def register_Ns3CallbackImpl__Void_Unsigned_char___star___Long_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, cls):
@@ -4976,12 +5174,12 @@
     cls.add_method('GetTypeid', 
                    'std::string', 
                    [], 
-                   is_virtual=True, is_const=True)
+                   is_const=True, is_virtual=True)
     ## callback.h (module 'core'): void ns3::CallbackImpl<void, unsigned char *, long, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty>::operator()(unsigned char * arg0, long int arg1) [member operator]
     cls.add_method('operator()', 
                    'void', 
                    [param('unsigned char *', 'arg0'), param('long int', 'arg1')], 
-                   is_pure_virtual=True, custom_name='__call__', is_virtual=True)
+                   custom_name='__call__', is_pure_virtual=True, is_virtual=True)
     return
 
 def register_Ns3ConfigMatchContainer_methods(root_module, cls):
@@ -5182,6 +5380,10 @@
     module.add_function('CalculateDistance', 
                         'double', 
                         [param('ns3::Vector3D const &', 'a'), param('ns3::Vector3D const &', 'b')])
+    ## length.h (module 'core'): ns3::Length ns3::CentiMeters(double value) [free function]
+    module.add_function('CentiMeters', 
+                        'ns3::Length', 
+                        [param('double', 'value')])
     ## ptr.h (module 'core'): ns3::Ptr<ns3::EnumChecker> ns3::Create() [free function]
     module.add_function('Create', 
                         'ns3::Ptr< ns3::EnumChecker >', 
@@ -5213,6 +5415,10 @@
     module.add_function('DefaultTimePrinter', 
                         'void', 
                         [param('std::ostream &', 'os')])
+    ## length.h (module 'core'): int64_t ns3::Div(ns3::Length const & numerator, ns3::Length const & denominator, ns3::Length * remainder=nullptr) [free function]
+    module.add_function('Div', 
+                        'int64_t', 
+                        [param('ns3::Length const &', 'numerator'), param('ns3::Length const &', 'denominator'), param('ns3::Length *', 'remainder', default_value='nullptr')])
     ## nstime.h (module 'core'): int64_t ns3::Div(ns3::Time const & lhs, ns3::Time const & rhs) [free function]
     module.add_function('Div', 
                         'int64_t', 
@@ -5227,6 +5433,10 @@
                         'ns3::Ptr< ns3::PairChecker const >', 
                         [param('ns3::Ptr< ns3::AttributeChecker const > const &', 'p')], 
                         template_parameters=['ns3::PairChecker const', ' ns3::AttributeChecker const'])
+    ## length.h (module 'core'): ns3::Length ns3::Feet(double value) [free function]
+    module.add_function('Feet', 
+                        'ns3::Length', 
+                        [param('double', 'value')])
     ## nstime.h (module 'core'): ns3::Time ns3::FemtoSeconds(ns3::int64x64_t value) [free function]
     module.add_function('FemtoSeconds', 
                         'ns3::Time', 
@@ -5235,6 +5445,10 @@
     module.add_function('FemtoSeconds', 
                         'ns3::Time', 
                         [param('uint64_t', 'value')])
+    ## length.h (module 'core'): std::tuple<bool, ns3::Length::Unit> ns3::FromString(std::string unitString) [free function]
+    module.add_function('FromString', 
+                        'std::tuple< bool, ns3::Length::Unit >', 
+                        [param('std::string', 'unitString')])
     ## log.h (module 'core'): ns3::LogComponent & ns3::GetLogComponent(std::string const name) [free function]
     module.add_function('GetLogComponent', 
                         'ns3::LogComponent &', 
@@ -5263,6 +5477,14 @@
     module.add_function('Hours', 
                         'ns3::Time', 
                         [param('double', 'value')])
+    ## length.h (module 'core'): ns3::Length ns3::Inches(double value) [free function]
+    module.add_function('Inches', 
+                        'ns3::Length', 
+                        [param('double', 'value')])
+    ## length.h (module 'core'): ns3::Length ns3::KiloMeters(double value) [free function]
+    module.add_function('KiloMeters', 
+                        'ns3::Length', 
+                        [param('double', 'value')])
     ## log.h (module 'core'): void ns3::LogComponentDisable(char const * name, ns3::LogLevel level) [free function]
     module.add_function('LogComponentDisable', 
                         'void', 
@@ -5327,6 +5549,10 @@
     module.add_function('MakeEvent', 
                         'ns3::EventImpl *', 
                         [param('void ( * ) (  )', 'f')])
+    ## length.h (module 'core'): ns3::Ptr<const ns3::AttributeChecker> ns3::MakeLengthChecker() [free function]
+    module.add_function('MakeLengthChecker', 
+                        'ns3::Ptr< ns3::AttributeChecker const >', 
+                        [])
     ## object-factory.h (module 'core'): ns3::Ptr<const ns3::AttributeChecker> ns3::MakeObjectFactoryChecker() [free function]
     module.add_function('MakeObjectFactoryChecker', 
                         'ns3::Ptr< ns3::AttributeChecker const >', 
@@ -5371,6 +5597,14 @@
     module.add_function('Max', 
                         'ns3::int64x64_t', 
                         [param('ns3::int64x64_t const &', 'a'), param('ns3::int64x64_t const &', 'b')])
+    ## length.h (module 'core'): ns3::Length ns3::Meters(double value) [free function]
+    module.add_function('Meters', 
+                        'ns3::Length', 
+                        [param('double', 'value')])
+    ## length.h (module 'core'): ns3::Length ns3::MicroMeters(double value) [free function]
+    module.add_function('MicroMeters', 
+                        'ns3::Length', 
+                        [param('double', 'value')])
     ## nstime.h (module 'core'): ns3::Time ns3::MicroSeconds(ns3::int64x64_t value) [free function]
     module.add_function('MicroSeconds', 
                         'ns3::Time', 
@@ -5379,6 +5613,14 @@
     module.add_function('MicroSeconds', 
                         'ns3::Time', 
                         [param('uint64_t', 'value')])
+    ## length.h (module 'core'): ns3::Length ns3::Miles(double value) [free function]
+    module.add_function('Miles', 
+                        'ns3::Length', 
+                        [param('double', 'value')])
+    ## length.h (module 'core'): ns3::Length ns3::MilliMeters(double value) [free function]
+    module.add_function('MilliMeters', 
+                        'ns3::Length', 
+                        [param('double', 'value')])
     ## nstime.h (module 'core'): ns3::Time ns3::MilliSeconds(ns3::int64x64_t value) [free function]
     module.add_function('MilliSeconds', 
                         'ns3::Time', 
@@ -5403,6 +5645,14 @@
     module.add_function('Minutes', 
                         'ns3::Time', 
                         [param('double', 'value')])
+    ## length.h (module 'core'): ns3::Length ns3::Mod(ns3::Length const & numerator, ns3::Length const & denominator) [free function]
+    module.add_function('Mod', 
+                        'ns3::Length', 
+                        [param('ns3::Length const &', 'numerator'), param('ns3::Length const &', 'denominator')])
+    ## length.h (module 'core'): ns3::Length ns3::NanoMeters(double value) [free function]
+    module.add_function('NanoMeters', 
+                        'ns3::Length', 
+                        [param('double', 'value')])
     ## nstime.h (module 'core'): ns3::Time ns3::NanoSeconds(ns3::int64x64_t value) [free function]
     module.add_function('NanoSeconds', 
                         'ns3::Time', 
@@ -5411,6 +5661,10 @@
     module.add_function('NanoSeconds', 
                         'ns3::Time', 
                         [param('uint64_t', 'value')])
+    ## length.h (module 'core'): ns3::Length ns3::NauticalMiles(double value) [free function]
+    module.add_function('NauticalMiles', 
+                        'ns3::Length', 
+                        [param('double', 'value')])
     ## simulator.h (module 'core'): ns3::Time ns3::Now() [free function]
     module.add_function('Now', 
                         'ns3::Time', 
@@ -5443,6 +5697,14 @@
     module.add_function('TimeStep', 
                         'ns3::Time', 
                         [param('uint64_t', 'ts')])
+    ## length.h (module 'core'): std::string ns3::ToName(ns3::Length::Unit unit, bool plural=false) [free function]
+    module.add_function('ToName', 
+                        'std::string', 
+                        [param('ns3::Length::Unit', 'unit'), param('bool', 'plural', default_value='false')])
+    ## length.h (module 'core'): std::string ns3::ToSymbol(ns3::Length::Unit unit) [free function]
+    module.add_function('ToSymbol', 
+                        'std::string', 
+                        [param('ns3::Length::Unit', 'unit')])
     ## type-name.h (module 'core'): std::string ns3::TypeNameGet() [free function]
     module.add_function('TypeNameGet', 
                         'std::string', 
@@ -5493,6 +5755,10 @@
                         'std::string', 
                         [], 
                         template_parameters=['double'])
+    ## length.h (module 'core'): ns3::Length ns3::Yards(double value) [free function]
+    module.add_function('Yards', 
+                        'ns3::Length', 
+                        [param('double', 'value')])
     ## nstime.h (module 'core'): ns3::Time ns3::Years(ns3::int64x64_t value) [free function]
     module.add_function('Years', 
                         'ns3::Time', 
@@ -5512,6 +5778,11 @@
     return
 
 def register_functions_ns3_CommandLineHelper(module, root_module):
+    ## command-line.h (module 'core'): std::string ns3::CommandLineHelper::GetDefault(ns3::Time const & val) [free function]
+    module.add_function('GetDefault', 
+                        'std::string', 
+                        [param('ns3::Time const &', 'val')], 
+                        template_parameters=['ns3::Time'])
     ## command-line.h (module 'core'): std::string ns3::CommandLineHelper::GetDefault(bool const & val) [free function]
     module.add_function('GetDefault', 
                         'std::string', 
